-- =============================================
-- Author:		FID.Ridwan
-- Create date: 2019-04-30
-- Description:	
-- =============================================
CREATE PROCEDURE [dbo].[SP_CED030100B_GetDeliveryCtlD]
AS
BEGIN
	SELECT DELIVERY_NO
	,DOCK_CD
	,STATION
	,ISNULL(CONVERT(VARCHAR,ARRIVAL_GATE_DT,121),'')ARRIVAL_GATE_DT
	,CONVERT(VARCHAR,ARRIVAL_PLAN_DT,121)ARRIVAL_PLAN_DT
	,ISNULL(CONVERT(VARCHAR,DEPARTURE_PLAN_DT,121),'')DEPARTURE_PLAN_DT
	,ISNULL(CONVERT(VARCHAR,ARRIVAL_STATUS),'')ARRIVAL_STATUS
	,ISNULL(CONVERT(VARCHAR,ARRIVAL_GAP),'')ARRIVAL_GAP
	,ISNULL(CONVERT(VARCHAR,ARRIVAL_ACTUAL_DT,121),'')ARRIVAL_ACTUAL_DT
	,ISNULL(CONVERT(VARCHAR,DEPARTURE_ACTUAL_DT,121),'')DEPARTURE_ACTUAL_DT
	,ISNULL(CONVERT(VARCHAR,DEPARTURE_STATUS),'')DEPARTURE_STATUS
	,ISNULL(CONVERT(VARCHAR,DEPARTURE_GAP),'')DEPARTURE_GAP
	,ISNULL(CONVERT(VARCHAR,REMAINING),'')REMAINING
	,ISNULL(DOOR_CD,'')DOORCD
	,ISNULL(CONVERT(VARCHAR,ABANDON_FLAG),'')ABANDON_FLAG
	,ISNULL(CONVERT(VARCHAR,CONFIRM_FLAG),'')CONFIRM_FLAG
	,ISNULL(CONVERT(VARCHAR,[SYNC_FLAG]),'0') [SYNC_FLAG]
FROM TB_T_CED_DELIVERY_CTL_D
END

